New Search

Excel Global Array Memory Corruption Vulnerability

oval:org.mitre.oval:def:5808

Array index vulnerability in Microsoft Office Excel 2000 SP3 2002 SP3 and 2003 SP3; Excel Viewer 2003 Gold and SP3; Office 2004 and 2008 for Mac; and Open XML File Format Converter for Mac allow remote attackers to execute arbitrary code via an Excel spreadsheet with a NAME record that contains an invalid index value which triggers stack corruption aka "Excel Global Array Memory Corruption Vulnerability."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows 2000
  • Microsoft Windows XP
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2003
  • Microsoft Windows Vista
Class:
vulnerability
Reference(s):
  • CVE-2008-4266
Product(s):
  • Microsoft Office Excel Viewer 2003
  • Microsoft Excel 2000
  • Microsoft Excel 2002
  • Microsoft Excel 2003